Package com.independentsoft.office.odf

# Class DatabaseRange

java.lang.Object
com.independentsoft.office.odf.DatabaseRange

public class DatabaseRange extends Object
Represents a database range, a named rectangular cell range that can be sorted, filtered or refreshed from a data source. Formulas may refer to a database range by its name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseRange()`
  Initializes a new instance of the DatabaseRange class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatabaseRange`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Boolean`
  `getContainsHeader()`
  Specifies whether the first row of the range contains column labels.
  `Boolean`
  `getDisplayFilterButtons()`
  Specifies whether filter buttons are displayed.
  `Boolean`
  `getHasPersistentData()`
  Specifies whether data is copied into the document or read on demand.
  `Boolean`
  `getIsSelection()`
  Specifies whether the database range is a selection.
  `String`
  `getName()`
  Gets the name of the database range.
  `Boolean`
  `getOnUpdateKeepSize()`
  Specifies whether the size of the range is kept when the range is updated.
  `Boolean`
  `getOnUpdateKeepStyles()`
  Specifies whether cell styles are kept when the range is updated.
  `String`
  `getOrientation()`
  Gets the orientation of the database range, "column" or "row".
  `String`
  `getRefreshDelay()`
  Gets the refresh delay as ISO 8601 duration.
  `String`
  `getTargetRangeAddress()`
  Gets the cell range address of the database range, for example "Sheet1.A1:Sheet1.B10".
  `void`
  `setContainsHeader​(Boolean containsHeader)`
  Specifies whether the first row of the range contains column labels.
  `void`
  `setDisplayFilterButtons​(Boolean displayFilterButtons)`
  Specifies whether filter buttons are displayed.
  `void`
  `setHasPersistentData​(Boolean hasPersistentData)`
  Specifies whether data is copied into the document or read on demand.
  `void`
  `setIsSelection​(Boolean isSelection)`
  Specifies whether the database range is a selection.
  `void`
  `setName​(String name)`
  Sets the name of the database range.
  `void`
  `setOnUpdateKeepSize​(Boolean onUpdateKeepSize)`
  Specifies whether the size of the range is kept when the range is updated.
  `void`
  `setOnUpdateKeepStyles​(Boolean onUpdateKeepStyles)`
  Specifies whether cell styles are kept when the range is updated.
  `void`
  `setOrientation​(String orientation)`
  Sets the orientation of the database range, "column" or "row".
  `void`
  `setRefreshDelay​(String refreshDelay)`
  Sets the refresh delay as ISO 8601 duration.
  `void`
  `setTargetRangeAddress​(String targetRangeAddress)`
  Sets the cell range address of the database range, for example "Sheet1.A1:Sheet1.B10".
  `String`
  `toString()`
  Converts the value of the current DatabaseRange object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DatabaseRange

    public DatabaseRange()
    Initializes a new instance of the DatabaseRange class.

- ## Method Details

  - ### clone

    public DatabaseRange clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DatabaseRange object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of the database range.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of the database range.
    Parameters:
      `name` - the new name

  - ### getTargetRangeAddress

    public String getTargetRangeAddress()
    Gets the cell range address of the database range, for example "Sheet1.A1:Sheet1.B10".
    Returns:
      the target range address

  - ### setTargetRangeAddress

    public void setTargetRangeAddress​(String targetRangeAddress)
    Sets the cell range address of the database range, for example "Sheet1.A1:Sheet1.B10".
    Parameters:
      `targetRangeAddress` - the new target range address

  - ### getContainsHeader

    public Boolean getContainsHeader()
    Specifies whether the first row of the range contains column labels.
    Returns:
      true, if the first row contains column labels

  - ### setContainsHeader

    public void setContainsHeader​(Boolean containsHeader)
    Specifies whether the first row of the range contains column labels.
    Parameters:
      `containsHeader` - the new contains header

  - ### getDisplayFilterButtons

    public Boolean getDisplayFilterButtons()
    Specifies whether filter buttons are displayed.
    Returns:
      true, if filter buttons are displayed

  - ### setDisplayFilterButtons

    public void setDisplayFilterButtons​(Boolean displayFilterButtons)
    Specifies whether filter buttons are displayed.
    Parameters:
      `displayFilterButtons` - the new display filter buttons

  - ### getIsSelection

    public Boolean getIsSelection()
    Specifies whether the database range is a selection.
    Returns:
      true, if the database range is a selection

  - ### setIsSelection

    public void setIsSelection​(Boolean isSelection)
    Specifies whether the database range is a selection.
    Parameters:
      `isSelection` - the new selection

  - ### getOnUpdateKeepStyles

    public Boolean getOnUpdateKeepStyles()
    Specifies whether cell styles are kept when the range is updated.
    Returns:
      true, if cell styles are kept when the range is updated

  - ### setOnUpdateKeepStyles

    public void setOnUpdateKeepStyles​(Boolean onUpdateKeepStyles)
    Specifies whether cell styles are kept when the range is updated.
    Parameters:
      `onUpdateKeepStyles` - the new on update keep styles

  - ### getOnUpdateKeepSize

    public Boolean getOnUpdateKeepSize()
    Specifies whether the size of the range is kept when the range is updated.
    Returns:
      true, if the size of the range is kept when the range is updated

  - ### setOnUpdateKeepSize

    public void setOnUpdateKeepSize​(Boolean onUpdateKeepSize)
    Specifies whether the size of the range is kept when the range is updated.
    Parameters:
      `onUpdateKeepSize` - the new on update keep size

  - ### getHasPersistentData

    public Boolean getHasPersistentData()
    Specifies whether data is copied into the document or read on demand.
    Returns:
      true, if data is copied into the document

  - ### setHasPersistentData

    public void setHasPersistentData​(Boolean hasPersistentData)
    Specifies whether data is copied into the document or read on demand.
    Parameters:
      `hasPersistentData` - the new has persistent data

  - ### getOrientation

    public String getOrientation()
    Gets the orientation of the database range, "column" or "row".
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(String orientation)
    Sets the orientation of the database range, "column" or "row".
    Parameters:
      `orientation` - the new orientation

  - ### getRefreshDelay

    public String getRefreshDelay()
    Gets the refresh delay as ISO 8601 duration.
    Returns:
      the refresh delay

  - ### setRefreshDelay

    public void setRefreshDelay​(String refreshDelay)
    Sets the refresh delay as ISO 8601 duration.
    Parameters:
      `refreshDelay` - the new refresh delay